# -*- encoding: utf-8 -*-
# stub: resque-lock-timeout 0.4.5 ruby lib

Gem::Specification.new do |s|
  s.name = "resque-lock-timeout".freeze
  s.version = "0.4.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Luke Antins".freeze, "Ryan Carver".freeze, "Chris Wanstrath".freeze]
  s.date = "2015-08-04"
  s.description = "  A Resque plugin. Adds locking, with optional timeout/deadlock handling to\n  resque jobs.\n\n  Using a `lock_timeout` allows you to re-acquire the lock should your worker\n  fail, crash, or is otherwise unable to relase the lock.\n  \n  i.e. Your server unexpectedly looses power. Very handy for jobs that are\n  recurring or may be retried.\n".freeze
  s.email = "luke@lividpenguin.com".freeze
  s.homepage = "http://github.com/lantins/resque-lock-timeout".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A Resque plugin adding locking, with optional timeout/deadlock handling to resque jobs.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<resque>.freeze, ["~> 1.22"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.3"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.7", ">= 0.7.1"])
  else
    s.add_dependency(%q<resque>.freeze, ["~> 1.22"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.3"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.2"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.7", ">= 0.7.1"])
  end
end
